"use client";

import { useRouter } from "next/navigation";

import { refreshSession } from "./action";

export function RetryButton() {
    const router = useRouter();

    return (
        <button
            style={{
                backgroundColor: "transparent",
                border: "none",
                color: "var(--bs-primary)",
                cursor: "pointer",
                fontWeight: "bold",
                textDecoration: "underline",
            }}
            onClick={async () => {
                await refreshSession();
                router.back();
            }}
        >
            Back to previous page
        </button>
    );
}
